|  | Home · All Classes · Modules

# QDomNodeList Class Reference
[QtXml module]

The QDomNodeList class is a list of QDomNode objects. More...

### Methods

- __init__ (self)
- __init__ (self, QDomNodeList)
- QDomNode at (self, int)
- int count (self)
- bool isEmpty (self)
- QDomNode item (self, int)
- int length (self)
- int size (self)

### Special Methods

- bool __eq__ (self, QDomNodeList)
- __len__ (self)
- bool __ne__ (self, QDomNodeList)

## Detailed Description

The QDomNodeList class is a list of QDomNode objects.

Lists can be obtained by QDomDocument.elementsByTagName() and QDomNode.childNodes(). The Document Object Model (DOM) requires these lists to be "live": whenever you change the underlying document, the contents of the list will get updated.

You can get a particular node from the list with item(). The number of items in the list is returned by length().

For further information about the Document Object Model see Level 1 and Level 2 Core. For a more general introduction of the DOM implementation see the QDomDocument documentation.

## Method Documentation

### QDomNodeList.__init__ (self)

Creates an empty node list.

### QDomNodeList.__init__ (self, QDomNodeList)

Constructs a copy of n.

### QDomNode QDomNodeList.at (self, int)

This function is provided for Qt API consistency. It is equivalent to item().

If index is negative or if index >= length() then a null node is returned (i.e. a node for which QDomNode.isNull() returns true).

### int QDomNodeList.count (self)

This function is provided for Qt API consistency. It is equivalent to length().

### bool QDomNodeList.isEmpty (self)

Returns true if the list contains no items; otherwise returns false. This function is provided for Qt API consistency.

### QDomNode QDomNodeList.item (self, int)

Returns the node at position index.

If index is negative or if index >= length() then a null node is returned (i.e. a node for which QDomNode.isNull() returns true).

See also length().

### int QDomNodeList.length (self)

Returns the number of nodes in the list.

### int QDomNodeList.size (self)

This function is provided for Qt API consistency. It is equivalent to length().

### bool QDomNodeList.__eq__ (self, QDomNodeList)

### QDomNodeList.__len__ (self)

### bool QDomNodeList.__ne__ (self, QDomNodeList)